moved login and shutdown process from chip-fel-flash.sh to chip-update-firmware.sh

chip/stable
Alex Kaplan 7 years ago
parent 6989e35bde
commit 27489a4fd1
  1. 9
      chip-fel-flash.sh
  2. 12
      chip-update-firmware.sh

@ -1,7 +1,6 @@
#!/bin/bash
SCRIPTDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $SCRIPTDIR/common.sh
FEL=fel
@ -163,12 +162,4 @@ else
fi
fi
if ! wait_for_linuxboot; then
echo "ERROR: could not flash"
rm -rf ${TMPDIR}
exit 1
else
${SCRIPTDIR}/verify.sh
fi
rm -rf ${TMPDIR}

@ -1,5 +1,8 @@
#!/bin/bash
SCRIPTDIR=$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )
source $SCRIPTDIR/common.sh
FLASH_SCRIPT=./chip-fel-flash.sh
WHAT=buildroot
BRANCH=stable
@ -99,4 +102,13 @@ cache_download "${FW_IMAGE_DIR}" ${BR_URL} zImage
cache_download "${FW_IMAGE_DIR}" ${BR_URL} u-boot-dtb.bin
BUILDROOT_OUTPUT_DIR="${FW_DIR}" ${FLASH_SCRIPT} ${FLASH_SCRIPT_OPTION}
if ! wait_for_linuxboot; then
echo "ERROR: could not flash"
rm -rf ${TMPDIR}
exit 1
else
${SCRIPTDIR}/verify.sh
fi
exit $?

Loading…
Cancel
Save